Package org.h2.test.jdbcx

# Class TestXA.MyXid

java.lang.Object
org.h2.test.jdbcx.TestXA.MyXid

All Implemented Interfaces:
  `Xid`

Enclosing class:
  `TestXA`

public static class TestXA.MyXid extends Object implements Xid
A simple Xid implementation.

## Field Summary

### Fields inherited from interface javax.transaction.xa.Xid

`MAXBQUALSIZE, MAXGTRIDSIZE`

## Constructor Summary

Constructors
Constructor
Description
`MyXid()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBranchQualifier()`
`int`
`getFormatId()`
`byte[]`
`getGlobalTransactionId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyXid

public MyXid()

## Method Details

### getBranchQualifier

public byte[] getBranchQualifier()

Specified by:
  `getBranchQualifier` in interface `Xid`

### getFormatId

public int getFormatId()

Specified by:
  `getFormatId` in interface `Xid`

### getGlobalTransactionId

public byte[] getGlobalTransactionId()

Specified by:
  `getGlobalTransactionId` in interface `Xid`